image: ruby:2.6

before_script:
  - apt-get update -qq && apt-get install -y -qq sqlite3 libsqlite3-dev nodejs
  - ruby -v
  - which ruby
  - gem install bundler --no-document
  - bundle install --jobs $(nproc)  "${FLAGS[@]}"

requests:
  script:
    - bundle exec rspec spec/requests

unit:
  script:
    - bundle exec rspec spec/models

rubocop:
  script:
    - bundle exec rubocop
